Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.config.annotation
Class InterceptorRegistry

    java.lang.Object
      org.springframework.web.servlet.config.annotation.InterceptorRegistry

    public class InterceptorRegistry

extends java.lang.Object

Stores and provides access to a list of interceptors. For each interceptor you can optionally specify one or more URL patterns it applies to.

Since:
  3.1
Author:
  Rossen Stoyanchev, Keith Donald

Constructor Summary
`InterceptorRegistry()`

Method Summary
`InterceptorRegistration` | `addInterceptor(HandlerInterceptor interceptor)` Adds the provided `HandlerInterceptor`.
`InterceptorRegistration` | `addWebRequestInterceptor(WebRequestInterceptor interceptor)` Adds the provided `WebRequestInterceptor`.
`protected java.util.List<java.lang.Object>` | `getInterceptors()` Returns all registered interceptors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterceptorRegistry

    public InterceptorRegistry()

Method Detail

### addInterceptor

    public InterceptorRegistration addInterceptor(HandlerInterceptor interceptor)

  Adds the provided `HandlerInterceptor`.

  Parameters:
    `interceptor` - the interceptor to add
  Returns:
    An `InterceptorRegistration` that allows you optionally configure the registered interceptor further for example adding URL patterns it should apply to.

### addWebRequestInterceptor

    public InterceptorRegistration addWebRequestInterceptor(WebRequestInterceptor interceptor)

  Adds the provided `WebRequestInterceptor`.

  Parameters:
    `interceptor` - the interceptor to add
  Returns:
    An `InterceptorRegistration` that allows you optionally configure the registered interceptor further for example adding URL patterns it should apply to.

### getInterceptors

    protected java.util.List<java.lang.Object> getInterceptors()

  Returns all registered interceptors.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD